summarylogtreecommitdiffstats
path: root/authpass.sh
diff options
context:
space:
mode:
authorzxp198210052024-01-17 12:17:51 +0800
committerzxp198210052024-01-17 12:17:51 +0800
commit87ec6e7e8b3534a1589c34df31848e1b2dbbbb75 (patch)
treed12a2c007205213f7f64249d98a1d742a0c99a0a /authpass.sh
parentac4ff4479876c48144d591f9a6932ee7f828bb37 (diff)
downloadaur-87ec6e7e8b3534a1589c34df31848e1b2dbbbb75.tar.gz
fix errors
Diffstat (limited to 'authpass.sh')
-rw-r--r--authpass.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/authpass.sh b/authpass.sh
new file mode 100644
index 000000000000..dd5c3a0d256f
--- /dev/null
+++ b/authpass.sh
@@ -0,0 +1,8 @@
+#!/bin/sh
+set -e
+_APPDIR=/opt/@appname@
+_RUNNAME="${_APPDIR}/@runname@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+cd "${_APPDIR}"
+exec "${_RUNNAME}" "$@" | exit \ No newline at end of file